Skip to main content
`Ctrl`+`K`

# PetscStrcasecmp

Returns true if the two strings are the same except possibly for case.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStrcasecmp(const char a[], const char b[], PetscBool *t)

Not Collective; No Fortran Support

## Input Parameters

- a - pointer to first string

- b - pointer to second string

## Output Parameter

- t - if the two strings are the same

## Note

`NULL` arguments are ok

## See Also

`PetscStrcmp()`, `PetscStrncmp()`, `PetscStrgrt()`

## Level

intermediate

## Location

src/sys/utils/str.c

## Examples

src/ts/tutorials/ex11.c
src/ts/tutorials/ex18.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages